# Uses of Enum Class
org.snpeff.SnpEff.GeneDatabaseFormat

Packages that use SnpEff.GeneDatabaseFormat
Package
Description
org.snpeff
org.snpeff.snpEffect.commandLine

## Uses of SnpEff.GeneDatabaseFormat in org.snpeff

Methods in org.snpeff that return SnpEff.GeneDatabaseFormat
Modifier and Type
Method
Description
`static SnpEff.GeneDatabaseFormat`
SnpEff.GeneDatabaseFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SnpEff.GeneDatabaseFormat[]`
SnpEff.GeneDatabaseFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of SnpEff.GeneDatabaseFormat in org.snpeff.snpEffect.commandLine

Methods in org.snpeff.snpEffect.commandLine that return SnpEff.GeneDatabaseFormat
Modifier and Type
Method
Description
`protected SnpEff.GeneDatabaseFormat`
SnpEffCmdBuild.`guessGenesFormat()`
Try to guess database format by checking which file type is present